window.__require = function e(t, n, r) {
  function s(o, u) {
    if (!n[o]) {
      if (!t[o]) {
        var b = o.split("/");
        b = b[b.length - 1];
        if (!t[b]) {
          var a = "function" == typeof __require && __require;
          if (!u && a) return a(b, !0);
          if (i) return i(b, !0);
          throw new Error("Cannot find module '" + o + "'");
        }
        o = b;
      }
      var f = n[o] = {
        exports: {}
      };
      t[o][0].call(f.exports, function(e) {
        var n = t[o][1][e];
        return s(n || e);
      }, f, f.exports, e, t, n, r);
    }
    return n[o].exports;
  }
  var i = "function" == typeof __require && __require;
  for (var o = 0; o < r.length; o++) s(r[o]);
  return s;
}({
  activeSkills: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "76e7e7bXjhEDoEmLNKBi4c+", "activeSkills");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("../Script/global/eventManage");
    var battlenSceneData_1 = require("../battleComScript/battlenSceneData");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.skill_com = [];
        _this.undetermined = null;
        _this.skill_root = null;
        _this.skill_pos = [ cc.v2(-100, 100), cc.v2(-170, 100), cc.v2(-240, 100), cc.v2(-310, 100) ];
        _this.skill_pool = new cc.NodePool();
        _this.cur_data = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {};
      NewClass.prototype.start = function() {
        var _this = this;
        var world_pos = this.skill_root.convertToWorldSpaceAR(cc.v2(-100, 100));
        eventManage_1.eventManage.dispatchEvent("addGuidePos", {
          name: "on_skill_btn",
          pos: world_pos,
          size: {
            width: 56,
            height: 56
          }
        });
        eventManage_1.eventManage.addEventListener("player_add_addition", this, function(data) {
          if (_this.node.active) {
            var new_data = data[0];
            console.log(_this.cur_data, new_data, "new_data156");
            _this.cur_data.obj == new_data && _this.showSkill({
              obj: new_data
            });
          }
        });
      };
      NewClass.prototype.init = function() {
        console.log("\u5f85\u5b9a");
        this.node.on("showSkill", this.showSkill, this);
        this.undetermined.on(cc.Node.EventType.TOUCH_START, function() {
          var cur = battlenSceneData_1.default.cur_selected;
          console.log("\u5f85\u5b9a");
          if (cur.ranks[0] == battlenSceneData_1.default.cur_team) {
            eventManage_1.eventManage.dispatchEvent("show_active_skills", {
              is_show: false
            });
            eventManage_1.eventManage.dispatchEvent("hideModeNode", {
              go_situ: true,
              remove: true,
              hide: false
            });
            eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
              remove: true
            });
            eventManage_1.eventManage.dispatchEvent("defineAction");
            battlenSceneData_1.default.action_type = "default";
            eventManage_1.eventManage.dispatchEvent("undetermined_click");
          }
        });
        var size = this.undetermined.getContentSize();
        var pos = this.undetermined.parent.convertToWorldSpaceAR(this.undetermined.getPosition());
        eventManage_1.eventManage.dispatchEvent("addGuidePos", {
          name: "undetermined",
          size: size,
          pos: pos
        });
      };
      NewClass.prototype.getSkillNode = function() {
        var node;
        if (this.skill_pool.size() > 0) node = this.skill_pool.get(); else {
          var Prefab = cc.assetManager.getBundle("battleComPrefab").get("use_skill");
          node = cc.instantiate(Prefab);
        }
        return node;
      };
      NewClass.prototype.showSkill = function(data) {
        this.cur_data = data;
        var obj = data.obj;
        var length = obj.passiveSkillLength("is_active_skill");
        var show_active_skill;
        show_active_skill = !length;
        var skill = obj.super_calss.active_skill;
        var skill_len = skill.length;
        var com_len = this.skill_root.childrenCount;
        var value = skill_len - com_len;
        if (value > 0) for (var index = 0; index < value; index++) {
          var node = this.getSkillNode();
          console.log(node, "showSkill");
          this.skill_root.addChild(node);
        } else if (value < 0) {
          var abs = Math.abs(value);
          for (var index = 0; index < abs; index++) {
            var all_node_1 = this.skill_root.children;
            var node = all_node_1[all_node_1.length - 1];
            this.skill_pool.put(node);
          }
        }
        var all_node = this.skill_root.children;
        skill.forEach(function(element, i) {
          console.log(show_active_skill, "show_active_skill");
          all_node[i].getComponent("use_skill").setData(element, obj, show_active_skill);
          var x = -100 - 70 * i;
          all_node[i].setPosition(x, 100);
        });
      };
      NewClass.prototype.onDestroy = function() {
        eventManage_1.eventManage.removeEventListener(this, "player_add_addition");
      };
      __decorate([ property(cc.Node) ], NewClass.prototype, "undetermined", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "skill_root", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "../Script/global/eventManage": void 0,
    "../battleComScript/battlenSceneData": void 0
  } ],
  addition_base_value: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "228cbVU0idENpXGskSij6Gm", "addition_base_value");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.value = null;
        _this.type = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {};
      NewClass.prototype.setData = function(data) {
        this.value.string = "+" + data.value;
        this.type.string = data.type;
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Label) ], NewClass.prototype, "value", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "type", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  addition_info_window: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "c747bB4BihKPpWr8Ao8SYeX", "addition_info_window");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var base_value_name = [];
    base_value_name["max_life_value"] = "\u751f\u547d\u503c";
    base_value_name["physics_resist"] = "\u62a4\u7532";
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.addition_name = null;
        _this.addition_base_value_root = null;
        _this.bar = null;
        _this.addition_skill_value_root = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.node.on("set_data", this.setData.bind(this));
        this.node.on("clear", this.clear.bind(this));
      };
      NewClass.prototype.setData = function(data) {
        console.log("showAdditionInfoWindow156");
        var img_src = data.img_src;
        this.addition_name.string = data.show_name;
        var base_value = data.base_value;
        var all_key = Object.keys(base_value);
        var Prefab = cc.assetManager.getBundle("battleComPrefab").get("addition_base_value", cc.Prefab);
        var skill_prafab = cc.assetManager.getBundle("battleComPrefab").get("addition_skill_value", cc.Prefab);
        var active_skill = data.active;
        var passive = data.passive;
        var key_length = all_key.length;
        for (var index = 0; index < key_length; index++) {
          var key = all_key[index];
          var key_name = base_value_name[key];
          var value = data.base_value[key];
          var node = cc.instantiate(Prefab);
          node.getComponent("addition_base_value").setData({
            value: value,
            type: key_name
          });
          node.setPosition(0, -30 * index);
          this.addition_base_value_root.addChild(node);
        }
        this.bar.y = 96 - 30 * key_length;
        this.addition_skill_value_root.y = this.bar.y - 18;
        var active_skill_length = active_skill.length;
        var cur_h = 0;
        var bef_node = null;
        var _loop_1 = function(index) {
          this_1.scheduleOnce(function() {
            var element = active_skill[index];
            var h = 0;
            bef_node && (h = bef_node.getComponent("addition_skill_value").getLableH());
            cur_h += h;
            var node = cc.instantiate(skill_prafab);
            bef_node = node;
            node.setPosition(0, -cur_h);
            this.addition_skill_value_root.addChild(node);
            var type = 0;
            element.click_call && (type = 1);
            var special_txt = element.txt.special_txt;
            if (special_txt) for (var index_1 = 0; index_1 < special_txt.length; index_1++) var element_1 = special_txt[index_1];
            node.getComponent("addition_skill_value").setData({
              type: type,
              name: element.txt.name,
              info: element.txt.describe
            });
          }, .1 * index);
        };
        var this_1 = this;
        for (var index = 0; index < active_skill_length; index++) _loop_1(index);
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.clear = function() {
        this.addition_base_value_root.removeAllChildren();
        this.addition_skill_value_root.removeAllChildren();
      };
      __decorate([ property(cc.Label) ], NewClass.prototype, "addition_name", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "addition_base_value_root", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "bar", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "addition_skill_value_root", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  addition_skill_value: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "d8bd9HYxahHf4FTaV/7a588", "addition_skill_value");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.type = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        console.log("addition_data");
        this.node.on("set_data", function(data) {
          var content = "";
          content = 1 == data.type ? "(\u4e3b\u52a8)" : "(\u88ab\u52a8)";
          console.log(data, "addition_data");
          _this.type.string = data.name + content + ": " + data.info;
        });
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.setData = function(data) {
        var content = "";
        content = 1 == data.type ? "(\u4e3b\u52a8)" : "(\u88ab\u52a8)";
        console.log(data, "addition_data");
        this.type.string = data.name + content + ": " + data.info;
      };
      NewClass.prototype.getLableH = function() {
        return this.type.node.height;
      };
      NewClass.prototype.update = function(dt) {
        console.log("this.type.node.height", this.type.node.height);
      };
      __decorate([ property(cc.Label) ], NewClass.prototype, "type", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  attack_anim: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "ee743JFqv9DcpshXkgj4hLt", "attack_anim");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        return null !== _super && _super.apply(this, arguments) || this;
      }
      NewClass.prototype.onLoad = function() {};
      NewClass.prototype.start = function() {};
      NewClass.prototype.playAnim = function(call) {
        var _this = this;
        this.node.runAction(cc.sequence(cc.scaleTo(1, .05), cc.callFunc(function() {
          _this.node.scale = 0;
          call();
        })));
      };
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  attack_info: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "d4e7cFOHfVIbbWEhjCUSR3f", "attack_info");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var battlenSceneData_1 = require("./../battleComScript/battlenSceneData");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.self_head = null;
        _this.other_head = null;
        _this.self_life = null;
        _this.other_life = null;
        _this.self_attack_value = null;
        _this.other_attack_value = null;
        _this.self_physics_value = null;
        _this.other_physics_value = null;
        _this.rigth_down = null;
        _this.cancel = null;
        _this.confirm = null;
        _this.self_img = null;
        _this.other_img = null;
        _this.bg = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.bg.width = cc.winSize.width;
        this.node.on("set_data", function(data) {
          var obj_data = data.two_obj;
          var self = obj_data[0];
          var other = obj_data[1];
          var self_name = self.name;
          var other_name = other.name;
          _this.self = self;
          _this.other = other;
          _this.self_life.string = self.getDataByName("cur_life_number");
          _this.other_life.string = other.getDataByName("cur_life_number");
          _this.self_attack_value.string = self.getDataByName("attack_value");
          _this.other_attack_value.string = other.getDataByName("attack_value");
          _this.self_physics_value.string = self.getDataByName("physics_resist");
          _this.other_physics_value.string = other.getDataByName("physics_resist");
          _this.self_img.spriteFrame = cc.assetManager.getBundle(self_name).get("texture/" + self_name, cc.SpriteFrame);
          _this.other_img.spriteFrame = cc.assetManager.getBundle(other_name).get("texture/" + other_name, cc.SpriteFrame);
          eventManage_1.eventManage.dispatchEvent("show_attack_info", data);
          eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
            remvoe: true
          });
          eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
            remove: false,
            hide: false
          });
          eventManage_1.eventManage.dispatchEvent("show_active_skills", {
            is_show: false
          });
          eventManage_1.eventManage.dispatchEvent("hideModeNode", {
            go_situ: false,
            remove: true,
            hide: false
          });
          eventManage_1.eventManage.dispatchEvent("showUndetermined", {
            show: false
          });
        });
        var win_width = cc.winSize.width;
        this.rigth_down.x = win_width / 2;
        var pos = this.confirm.parent.convertToWorldSpaceAR(this.confirm.getPosition());
        var size = {
          width: 75,
          height: 35
        };
        console.log(size, "sizeonLoad");
        eventManage_1.eventManage.dispatchEvent("addGuidePos", {
          name: "define_attack",
          pos: pos,
          size: size,
          direction: 3
        });
        this.confirm.on(cc.Node.EventType.TOUCH_END, function() {
          _this.node.active = false;
          _this.self = null;
          _this.other = null;
          eventManage_1.eventManage.dispatchEvent("show_active_skills", {
            is_show: false
          });
          eventManage_1.eventManage.dispatchEvent("hideModeNode", {
            go_situ: true,
            remove: true,
            hide: false
          });
          eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
            remove: true
          });
          battlenSceneData_1.default.operation_queue.length = 0;
          eventManage_1.eventManage.dispatchEvent("defineAction");
          battlenSceneData_1.default.action_type = "default";
          eventManage_1.eventManage.dispatchEvent("on_define_attack");
        });
        this.cancel.on(cc.Node.EventType.TOUCH_END, function() {
          var cur_player_action;
          "default" == battlenSceneData_1.default.action_type ? cur_player_action = battlenSceneData_1.default.player_action : "onceAction" == battlenSceneData_1.default.action_type && (cur_player_action = battlenSceneData_1.default.head_player_action);
          var length = cur_player_action.length;
          for (var index = 0; index < length; index++) {
            var element = cur_player_action[index][0];
            if ("attack" == element.func_name && element.self == _this.self && 1 == element.attack_type) {
              cur_player_action.splice(index, 1);
              break;
            }
          }
          _this.node.active = false;
          _this.self = null;
          _this.other = null;
          var all_func = battlenSceneData_1.default.operation_queue[0];
          for (var index = 0; index < all_func.length; index++) {
            var element = all_func[index];
            element();
          }
        });
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "self_head", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "other_head", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "self_life", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "other_life", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "self_attack_value", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "other_attack_value", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "self_physics_value", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "other_physics_value", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "rigth_down", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "cancel", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "confirm", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "self_img", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "other_img", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0,
    "./../battleComScript/battlenSceneData": void 0
  } ],
  confirm: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "9439du19nhPbbm6Ps/4l+Zz", "confirm");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var battlenSceneData_1 = require("../battleComScript/battlenSceneData");
    var eventManage_1 = require("../Script/global/eventManage");
    var tools_1 = require("./../Script/global/tools");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.cancel = null;
        _this.confirm = null;
        _this.cancel_bg = null;
        _this.confirm_bg = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.node.on("show", function(data) {
          this.cancel.active = data.cancel;
          this.cancel_bg.active = data.cancel;
          this.confirm.active = data.confirm;
          this.confirm_bg.active = data.confirm;
        }.bind(this));
      };
      NewClass.prototype.start = function() {
        var _this = this;
        this.cancel_bg.on(cc.Node.EventType.TOUCH_START, function() {
          eventManage_1.eventManage.dispatchEvent("hideModeNode", {
            go_situ: false,
            remove: true,
            hide: true
          });
          _this.node.active = false;
          var length = battlenSceneData_1.default.operation_queue.length;
          var aa = battlenSceneData_1.default.operation_queue;
          var all_func = battlenSceneData_1.default.operation_queue[length - 1];
          for (var index = 0; index < all_func.length; index++) {
            var element = all_func[index];
            element();
          }
        });
        this.confirm_bg.on(cc.Node.EventType.TOUCH_START, function() {
          eventManage_1.eventManage.dispatchEvent("hideModeNode", {
            go_situ: true,
            remove: true,
            hide: true
          });
          eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
            remvoe: true
          });
          _this.node.active = false;
          tools_1.global_func.mergeActionAndRun();
          battlenSceneData_1.default.act = true;
          battlenSceneData_1.default.operation_queue.length = 0;
        });
      };
      __decorate([ property(cc.Node) ], NewClass.prototype, "cancel", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "confirm", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "cancel_bg", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "confirm_bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "../Script/global/eventManage": void 0,
    "../battleComScript/battlenSceneData": void 0,
    "./../Script/global/tools": void 0
  } ],
  cursor: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "467975g8ElLoIDFJaX8ckNS", "cursor");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        return null !== _super && _super.apply(this, arguments) || this;
      }
      NewClass.prototype.onLoad = function() {
        eventManage_1.eventManage.addEventListener("cursor_is_show", this, this.isShow);
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.isShow = function(data) {
        var new_data = data[0];
        if (new_data.is_show) {
          if (!this.node.active) {
            this.node.active = true;
            this.node.runAction(cc.repeatForever(cc.sequence(cc.scaleTo(1, 1.1), cc.scaleTo(1, 1))));
          }
          this.node.setPosition(new_data.pos.x, new_data.pos.y);
        } else {
          this.node.stopAllActions();
          this.node.active = false;
        }
      };
      NewClass.prototype.onDestroy = function() {
        eventManage_1.eventManage.removeEventListener(this, "cursor_is_show");
      };
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0
  } ],
  dialog_window: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "75441KnfHlN46DI/Hxoz3pU", "dialog_window");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var tools_1 = require("./../Script/global/tools");
    var eventManage_1 = require("./../Script/global/eventManage");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.player_name = null;
        _this.player_name_node = null;
        _this.player_img = null;
        _this.bg = null;
        _this.chat_rich = null;
        _this.is_click = false;
        _this.callBack = null;
        _this.index = 0;
        _this.end_text = "";
        _this.call = false;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.bg.width = cc.winSize.width;
      };
      NewClass.prototype.start = function() {
        var _this = this;
        this.bg.on(cc.Node.EventType.TOUCH_END, function() {
          if (_this.is_click) {
            _this.index++;
            if (_this.data[0].dialog[_this.index]) {
              _this.is_click = false;
              _this.nextChat(_this.index);
            } else {
              _this.data.splice(0, 1);
              eventManage_1.eventManage.dispatchEvent("show_dialog_window", [ {
                show: false
              } ]);
              _this.index = 0;
              tools_1.global_func.levelAnim(_this.data);
            }
          } else _this.is_click = true;
        });
      };
      NewClass.prototype.setData = function(data) {
        this.data = data;
        this.nextChat(0);
      };
      NewClass.prototype.nextChat = function(index) {
        var dialog_data = this.data[0].dialog[index];
        this.player_name.string = dialog_data.name;
        if ("left" == dialog_data.direction) {
          this.player_name_node.x = -134.528;
          this.player_img.node.x = -297.928;
        } else {
          this.player_name_node.x = 121;
          this.player_img.node.x = 290;
        }
        var name = dialog_data.img_name;
        if (name) {
          console.log(this.player_img.node, "nextChat");
          if (cc.assetManager.getBundle(name).get("texture/" + name + "_200", cc.SpriteFrame)) {
            this.player_img.node.scale = 1;
            this.player_img.spriteFrame = cc.assetManager.getBundle(name).get("texture/" + name + "_200", cc.SpriteFrame);
          } else {
            this.player_img.node.scale = 2;
            this.player_img.spriteFrame = cc.assetManager.getBundle(name).get("texture/" + name, cc.SpriteFrame);
          }
        } else this.player_img.spriteFrame = null;
        this.chat_rich.string = "";
        var cur_index = 0;
        var before_html = "";
        var cur_html = "";
        var text = dialog_data.text[0];
        var text_lenth = dialog_data.text.length;
        console.log(text_lenth, "text_lenth");
        var cur_rich = dialog_data.rich[0];
        var end_text = "";
        for (var index_1 = 0; index_1 < dialog_data.rich.length; index_1++) {
          var str = dialog_data.text[index_1];
          var element = void 0;
          element = str.length > 0 ? dialog_data.rich[index_1].replace("@", str) : dialog_data.rich[index_1];
          end_text += element;
        }
        this.end_text = end_text;
        var setString = function(string) {
          this.chat_rich.string = before_html + cur_rich.replace("@", string);
        }.bind(this);
        var rich = dialog_data.rich;
        var typing = function() {
          var html = "";
          var arr = text.split("");
          var len = arr.length;
          if (0 == len) {
            this.chat_rich.string = before_html + cur_rich;
            console.log("this.chat_rich", this.chat_rich.string);
            before_html = this.chat_rich.string;
            cur_index++;
            arr = dialog_data.text[cur_index].split("");
            cur_rich = dialog_data.rich[cur_index];
            len = arr.length;
          }
          var step = 0;
          this.callBack = function() {
            if (true == this.is_click) {
              this.chat_rich.string = this.end_text;
              this.unschedule(this.callBack);
              return;
            }
            html += arr[step];
            setString(html);
            if (++step == len) {
              before_html = this.chat_rich.string;
              cur_index++;
              if (text_lenth == cur_index) {
                console.log("");
                this.is_click = true;
                this.unschedule(this.callBack);
              } else {
                step = 0;
                arr = dialog_data.text[cur_index].split("");
                cur_rich = dialog_data.rich[cur_index];
                if (0 == arr.length) {
                  this.chat_rich.string = before_html + cur_rich;
                  before_html = this.chat_rich.string;
                  cur_index++;
                  arr = dialog_data.text[cur_index].split("");
                  cur_rich = dialog_data.rich[cur_index];
                }
                len = arr.length;
                html = "";
              }
            }
          };
          this.schedule(this.callBack, .05, 100, 0);
        };
        typing.bind(this);
        this.scheduleOnce(typing, 0);
      };
      __decorate([ property(cc.Label) ], NewClass.prototype, "player_name", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "player_name_node", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "player_img", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg", void 0);
      __decorate([ property(cc.RichText) ], NewClass.prototype, "chat_rich", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0,
    "./../Script/global/tools": void 0
  } ],
  fitOutWindows: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "74ab56RJWJKIKhIgWX7yblG", "fitOutWindows");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var battlenSceneData_1 = require("../battleComScript/battlenSceneData");
    var eventManage_1 = require("./../Script/global/eventManage");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.close = null;
        _this.fit_out_pool = new cc.NodePool();
        _this.content = null;
        _this.create_img = null;
        _this.arrow_1 = null;
        _this.arrow_2 = null;
        _this.root = null;
        _this.all_addition = [];
        _this.create_img_init_pos = null;
        _this.arrow_1_pos = 0;
        _this.arrow_2_pos = 0;
        _this.init_root_pos = null;
        _this.init_arrow_1 = null;
        _this.init_arrow_2 = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        console.log("onLoad");
        console.log("onLoad");
        this.fit_out = cc.assetManager.getBundle("battleComPrefab").get("fitOut", cc.Prefab);
        console.log("onLoad", this.fit_out);
        eventManage_1.eventManage.addEventListener("showFitOutWin", this, function() {
          _this.node.active = true;
          _this.initUi();
        });
        eventManage_1.eventManage.addEventListener("create_img", this, function(img) {
          var new_data = img[0];
          var world_pos = new_data.world_pos;
          console.log(_this.create_img, "world_pos");
          var pos = _this.node.convertToNodeSpaceAR(world_pos);
          _this.create_img.node.active = true;
          _this.create_img.node.scale = 1;
          _this.create_img_init_pos = pos;
          _this.create_img.spriteFrame = new_data.img;
          _this.create_img.node.x = pos.x - 40;
          _this.create_img.node.y = pos.y;
        });
        eventManage_1.eventManage.addEventListener("move_img", this, function(img) {
          var pos = img[0];
          console.log(pos);
          _this.create_img.node.x = _this.create_img.node.x + pos.x;
          _this.create_img.node.y = _this.create_img.node.y + pos.y;
        });
        eventManage_1.eventManage.addEventListener("img_move_end", this, function(data) {
          var new_data = data[0];
          if (new_data.is_add) {
            var end_pos = new_data.end_pos;
            cc.tween(_this.create_img.node).to(1, {
              position: cc.v3(end_pos.x, end_pos.y),
              scale: .5
            }).call(function() {
              _this.create_img.node.active = false;
            }).start();
            _this.all_addition[new_data.index].emit("fitOutState", true);
          } else cc.tween(_this.create_img.node).to(1, {
            position: cc.v3(_this.create_img_init_pos.x, _this.create_img_init_pos.y),
            scale: .5
          }).call(function() {
            _this.create_img.node.active = false;
          }).start();
        });
        this.close.on(cc.Node.EventType.TOUCH_START, function() {
          cc.tween(_this.close).to(.1, {
            scale: 1.1
          }).start();
        });
        this.close.on(cc.Node.EventType.TOUCH_END, function() {
          cc.tween(_this.close).to(.1, {
            scale: 1
          }).call(function() {
            _this.root.setPosition(_this.init_root_pos);
            _this.arrow_2.setPosition(_this.init_arrow_2);
            _this.arrow_1.setPosition(_this.init_arrow_1);
            _this.arrow_1.rotation = 270;
            _this.arrow_2.rotation = 180;
            _this.node.active = false;
          }).start();
        });
        this.arrow_1.on(cc.Node.EventType.TOUCH_START, function() {
          console.log("bbbbb");
          cc.tween(_this.arrow_1).to(.2, {
            scale: 1.2
          }).start();
        });
        this.arrow_1.on(cc.Node.EventType.TOUCH_END, function() {
          console.log("aaaaaa");
          cc.tween(_this.arrow_1).to(.2, {
            scale: 1
          }).call(function() {
            _this.arrow_1_pos++;
            if (_this.arrow_1_pos % 2 == 0) {
              _this.arrow_1.x = -400;
              _this.root.x = 0;
              _this.arrow_1.rotation = -90;
            } else {
              _this.arrow_1.x = 50;
              _this.root.x = 175 - cc.winSize.width;
              _this.arrow_1.rotation = -270;
            }
          }).start();
        });
        this.arrow_2.on(cc.Node.EventType.TOUCH_START, function() {
          console.log("cccccc");
          cc.tween(_this.arrow_2).to(.2, {
            scale: 1.2
          }).start();
        });
        this.arrow_2.on(cc.Node.EventType.TOUCH_END, function() {
          console.log(cc.winSize.width, cc.winSize.height, "cc.winSize.width");
          cc.tween(_this.arrow_2).to(.2, {
            scale: 1
          }).call(function() {
            console.log("dddddd");
            _this.arrow_2_pos++;
            if (_this.arrow_2_pos % 2 == 0) {
              _this.arrow_2.y = -350;
              _this.root.y = -90;
              _this.arrow_2.rotation = 180;
            } else {
              _this.arrow_2.y = 50;
              _this.root.y = -365;
              _this.arrow_2.rotation = 0;
            }
          }).start();
        });
        this.init_root_pos = this.root.getPosition();
        this.init_arrow_1 = this.arrow_1.getPosition();
        this.init_arrow_2 = this.arrow_2.getPosition();
      };
      NewClass.prototype.start = function() {
        var _this = this;
        eventManage_1.eventManage.addEventListener("player_addition_remove", this, function(data) {
          var cur_addition = data[0];
          if (11 == cur_addition.getObj().ranks[0]) {
            console.log("player_addition_remove2");
            var all_addition = battlenSceneData_1.default.addition;
            for (var index = 0; index < all_addition.length; index++) {
              var element = all_addition[index];
              if (element == cur_addition) {
                console.log("player_addition_remove3");
                _this.all_addition[index] && _this.all_addition[index].getComponent("fitOut").fitOutState(false);
                return;
              }
            }
          }
        });
        eventManage_1.eventManage.addEventListener("player_add_addition", this, function(data) {
          var addition = data[1];
          var all_addition = battlenSceneData_1.default.addition;
          for (var index = 0; index < all_addition.length; index++) {
            var element = all_addition[index];
            console.log(element, addition, "addition");
            if (element == addition) {
              console.log("126");
              if (_this.all_addition[index]) {
                console.log("127");
                _this.all_addition[index].getComponent("fitOut").fitOutState(true);
              }
              return;
            }
          }
        });
      };
      NewClass.prototype.addGuidePos = function() {
        var world_pos = this.content.convertToWorldSpaceAR(cc.v2(0, 0));
        console.log("world_pos", world_pos);
        eventManage_1.eventManage.dispatchEvent("addGuidePos", {
          name: "move_addition",
          size: {
            width: 66,
            height: 66
          },
          pos: world_pos,
          director: 0
        });
      };
      NewClass.prototype.initUi = function() {
        var all_addition = battlenSceneData_1.default.addition;
        var cur_length = this.all_addition.length;
        var length = all_addition.length - cur_length;
        if (length > 0) for (var index = 0; index < length; index++) {
          var new_idnex = cur_length + index;
          var x = new_idnex % 3;
          var y = Math.floor(new_idnex / 3);
          var node = cc.instantiate(this.fit_out);
          node.setPosition(100 * x, 100 * -y);
          this.content.addChild(node);
          this.all_addition.push(node);
        }
        for (var index = 0; index < all_addition.length; index++) {
          var element = all_addition[index];
          this.all_addition[index].getComponent("fitOut").init(element, index);
        }
      };
      NewClass.prototype.onDestroy = function() {
        eventManage_1.eventManage.removeEventListener(this, "player_add_addition");
        eventManage_1.eventManage.removeEventListener(this, "player_addition_remove");
        eventManage_1.eventManage.removeEventListener(this, "img_move_end");
        eventManage_1.eventManage.removeEventListener(this, "move_img");
        eventManage_1.eventManage.removeEventListener(this, "create_img");
        eventManage_1.eventManage.removeEventListener(this, "showFitOutWin");
      };
      __decorate([ property(cc.Node) ], NewClass.prototype, "close", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "content", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "create_img", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "arrow_1", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "arrow_2", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "root", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "../battleComScript/battlenSceneData": void 0,
    "./../Script/global/eventManage": void 0
  } ],
  fitOut: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "61a6fRI4PFMV6jNCeOVrrwx", "fitOut");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var battlenSceneData_1 = require("./../battleComScript/battlenSceneData");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.fitOut = null;
        _this.fit_bg = null;
        _this.data = null;
        _this.is_create = true;
        _this.is_show = false;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.gray_sprite = cc.Material.getBuiltinMaterial("2d-gray-sprite");
        this.normal_sprite = cc.Material.getBuiltinMaterial("2d-sprite");
        this.node.on("fitOutState", this.fitOutState.bind(this));
      };
      NewClass.prototype.init = function(data, index) {
        var _this = this;
        this.index = index;
        this.data = data;
        var name = data.img_src.name;
        var img = cc.assetManager.getBundle("addition").get(name, cc.SpriteFrame);
        img ? this.fitOut.spriteFrame = img : cc.assetManager.getBundle("addition").load(name, cc.SpriteFrame, function(err, img) {
          _this.fitOut.spriteFrame = img;
        });
      };
      NewClass.prototype.start = function() {
        var _this = this;
        console.log(this.world_pos, "this.world_pos");
        var tian = function() {
          this.is_show = true;
          eventManage_1.eventManage.dispatchEvent("showAdditionInfoWindow", {
            is_show: true,
            addition: this.data
          });
        }.bind(this);
        this.fitOut.node.on(cc.Node.EventType.TOUCH_START, function(event) {
          if (11 != battlenSceneData_1.default.cur_team) {
            eventManage_1.eventManage.dispatchEvent("showContentTips", {
              string: "\u6211\u65b9\u56de\u5408\u624d\u53ef\u4ee5\u6dfb\u52a0\u88c5\u5907"
            });
            return;
          }
          _this.world_pos = _this.node.parent.convertToWorldSpaceAR(_this.node.getPosition());
          _this.up_pos = event.getLocation();
          _this.scheduleOnce(tian, 1);
        });
        var is_tips = true;
        this.fitOut.node.on(cc.Node.EventType.TOUCH_MOVE, function(event) {
          var new_pos = event.getLocation();
          var move_pos_x = new_pos.x - _this.up_pos.x;
          var move_pos_y = new_pos.y - _this.up_pos.y;
          if (cc.v2(move_pos_x, move_pos_y).len() < 4) return;
          if (_this.is_show) {
            eventManage_1.eventManage.dispatchEvent("showAdditionInfoWindow", {
              is_show: false,
              addition: null
            });
            _this.is_show = false;
          } else {
            console.log("unschedule");
            _this.unschedule(tian);
          }
          if (_this.data.getObj()) {
            if (is_tips) {
              eventManage_1.eventManage.dispatchEvent("showContentTips", {
                string: "\u88c5\u5907\u5df2\u7ecf\u6dfb\u52a0\u7ed9\u5176\u4ed6\u4eba\u4e86"
              });
              is_tips = false;
              _this.scheduleOnce(function() {
                is_tips = true;
              }, 1);
            }
            return;
          }
          if (_this.is_create) {
            eventManage_1.eventManage.dispatchEvent("create_img", {
              world_pos: _this.world_pos,
              img: _this.fitOut.spriteFrame
            });
            _this.is_create = false;
          }
          eventManage_1.eventManage.dispatchEvent("move_img", {
            x: move_pos_x,
            y: move_pos_y
          });
          eventManage_1.eventManage.dispatchEvent("additionMoveJudge", {
            addition: _this.data,
            pos: new_pos
          });
          _this.up_pos = new_pos;
        });
        this.fitOut.node.on(cc.Node.EventType.TOUCH_CANCEL, function(event) {
          if (_this.is_show) {
            eventManage_1.eventManage.dispatchEvent("showAdditionInfoWindow", {
              is_show: false,
              addition: null
            });
            _this.is_show = false;
          } else _this.unschedule(tian);
          if (_this.data.getObj()) return;
          var new_pos = event.getLocation();
          console.log(new_pos, "new_pos12");
          _this.is_create = true;
          eventManage_1.eventManage.dispatchEvent("additionMoveEnd", {
            addition: _this.data,
            pos: new_pos,
            index: _this.index
          });
        });
        this.fitOut.node.on(cc.Node.EventType.TOUCH_END, function(event) {
          if (_this.is_show) {
            eventManage_1.eventManage.dispatchEvent("showAdditionInfoWindow", {
              is_show: false,
              addition: null
            });
            _this.is_show = false;
          } else _this.unschedule(tian);
          if (_this.data.getObj()) return;
          var new_pos = event.getLocation();
          _this.is_create = true;
          eventManage_1.eventManage.dispatchEvent("additionMoveEnd", {
            addition: _this.data,
            pos: new_pos,
            index: _this.index
          });
        });
      };
      NewClass.prototype.showInfo = function() {
        this.is_show = true;
        eventManage_1.eventManage.dispatchEvent("showAdditionInfoWindow", {
          is_show: true,
          addition: this.data
        });
      };
      NewClass.prototype.fitOutState = function(state) {
        console.log("state");
        var mtl;
        mtl = state ? this.gray_sprite : this.normal_sprite;
        this.fitOut.setMaterial(0, mtl);
        this.fit_bg.setMaterial(0, mtl);
      };
      NewClass.prototype.clear = function() {};
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "fitOut", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "fit_bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0,
    "./../battleComScript/battlenSceneData": void 0
  } ],
  guide_tips: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "31047WR4adOuYnXbTOrmHON", "guide_tips");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.label = null;
        _this.bg = null;
        _this.direction = [ [ -1, 1 ], [ 1, 1 ], [ 1, -1 ], [ -1, -1 ] ];
        _this.init_pos = [ 26, -87 ];
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.start_pos = this.bg.getPosition();
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.setData = function(data, other_data) {
        var _this = this;
        this.label.string = data.info;
        var cur_direction = this.direction[data.direction];
        this.bg.scaleX = cur_direction[0];
        this.bg.scaleY = cur_direction[1];
        console.log(this.init_pos, data, "this.init_pos");
        this.label.node.setPosition(this.init_pos[0] * cur_direction[0], this.init_pos[1] * cur_direction[1]);
        this.node.x = data.pos.x;
        this.node.y = data.pos.y;
        this.bg.stopAllActions();
        this.bg.setPosition(this.start_pos);
        if ("click" == data.move_type) this.bg.runAction(cc.repeatForever(cc.sequence(cc.moveBy(.5, 0, 30), cc.moveBy(.5, 0, -30)))); else if ("move" == data.move_type) {
          var move_end_pos = this.bg.parent.convertToNodeSpaceAR(other_data.end_pos);
          this.bg.runAction(cc.repeatForever(cc.sequence(cc.moveTo(2, move_end_pos), cc.callFunc(function() {
            _this.bg.setPosition(_this.start_pos);
          }))));
        }
      };
      __decorate([ property(cc.Label) ], NewClass.prototype, "label", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  head_skill: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "02abeXw02JONooKSQNBOBjL", "head_skill");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.bg = null;
        _this.skill = null;
        _this.passive = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        console.log("head_skill25");
        this.node.on("setDate", function(data) {
          _this.data = data;
          var bundle = data.img.bundle_name;
          var src = data.img.img_src;
          console.log("head_skill", data);
          data.click_call ? _this.passive.opacity = 0 : _this.passive.opacity = 255;
          _this.skill.spriteFrame = cc.assetManager.getBundle(bundle).get(src, cc.SpriteFrame);
        });
      };
      NewClass.prototype.start = function() {
        var _this = this;
        this.skill.node.on(cc.Node.EventType.TOUCH_START, function() {
          eventManage_1.eventManage.dispatchEvent("skillInfoWindow", {
            is_show: true,
            obj: _this.data
          });
        });
        this.skill.node.on(cc.Node.EventType.TOUCH_END, function() {
          eventManage_1.eventManage.dispatchEvent("skillInfoWindow", {
            is_show: false
          });
        });
      };
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "bg", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "skill", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "passive", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0
  } ],
  hole: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "259a2FkcbhLZZTU6Z6Y/qhu", "hole");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.mask_node = null;
        _this.hole_node = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.node.on("onEnter", this.onEnter.bind(this));
      };
      NewClass.prototype.onEnter = function(data) {
        if ("left" == data.type) {
          this.mask_node.width = 0;
          this.mask_node.height = 100;
          this.mask_node.anchorX = 0;
          this.mask_node.anchorY = .5;
          this.mask_node.x = -50;
          this.hole_node.anchorX = 0;
          cc.tween(this.mask_node).to(.5, {
            width: 100
          }).start();
        } else if ("rigth" == data.type) {
          this.mask_node.width = 0;
          this.mask_node.height = 100;
          this.mask_node.anchorX = 1;
          this.mask_node.anchorY = .5;
          this.mask_node.x = 50;
          this.hole_node.anchorX = 1;
          cc.tween(this.mask_node).to(.5, {
            width: 100
          }).start();
        } else "top" == data.type || "down" == data.type;
      };
      NewClass.prototype.onleave = function(data) {};
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Node) ], NewClass.prototype, "mask_node", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "hole_node", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  level_condition: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "e02f4vdO1ZAfpivzmQRG6Rd", "level_condition");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var tools_1 = require("./../Script/global/tools");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.win_condition_1 = null;
        _this.lose_condition_1 = null;
        _this.bg = null;
        _this.data = null;
        _this.new_data = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.bg.width = cc.winSize.width;
        this.bg.on(cc.Node.EventType.TOUCH_END, function() {
          _this.node.active = false;
          _this.new_data.splice(0, 1);
          tools_1.global_func.levelAnim(_this.new_data);
        });
      };
      NewClass.prototype.setData = function(data, new_data) {
        this.new_data = new_data;
        console.log(data, "setData156");
        var win_text = data.win_text;
        var lose_text = data.lose_text;
        this.win_condition_1.string = win_text[0];
        this.lose_condition_1.string = lose_text[0];
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Label) ], NewClass.prototype, "win_condition_1", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "lose_condition_1", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/tools": void 0
  } ],
  moveTips: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "f3d9dQVyydFZ6ma8ym9fMs+", "moveTips");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.label = null;
        _this.text = "hello";
        return _this;
      }
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Label) ], NewClass.prototype, "label", void 0);
      __decorate([ property ], NewClass.prototype, "text", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  option: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "ed532fiXtRB0qEe3HZu/qLM", "option");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.bag = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.bag.on(cc.Node.EventType.TOUCH_START, function() {
          _this.click_call();
        });
      };
      NewClass.prototype.init = function(data) {
        console.log(data, "data");
        this.click_call = data.click_call;
        var bg = data.bg;
        this.bag.getComponent(cc.Sprite).spriteFrame = cc.assetManager.getBundle("battleComPrefab").get("texture/" + bg, cc.SpriteFrame);
        console.log(cc.assetManager.getBundle("battleComPrefab").get("texture/" + bg, cc.SpriteFrame), "bg");
      };
      __decorate([ property(cc.Node) ], NewClass.prototype, "bag", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  releaseSkillMap: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "ff44d6w6o1AfK6EeN4TZz3C", "releaseSkillMap");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var tools_1 = require("./../Script/global/tools");
    var battlenSceneData_1 = require("./../battleComScript/battlenSceneData");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.bg = null;
        _this.click_type = null;
        _this.click = null;
        _this.start_pos = null;
        _this.map_pos = null;
        _this.skill_obj = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.node.on("reset", this.clearMoveNodeData.bind(this));
        this.node.on(cc.Node.EventType.TOUCH_START, function(event) {
          _this.start_pos = event.getLocation();
        });
        this.node.on(cc.Node.EventType.TOUCH_END, function(event) {
          var end_pos = event.getLocation();
          var pos = _this.node.getPosition();
          if (_this.start_pos.x == end_pos.x && _this.start_pos.y == end_pos.y) {
            eventManage_1.eventManage.dispatchEvent("cursor_is_show", {
              is_show: true,
              pos: {
                x: pos.x,
                y: pos.y
              }
            });
            if (_this.click) {
              eventManage_1.eventManage.dispatchEvent("hide_confirm_node", {
                hide: false,
                cancel: true,
                confirm: true
              });
              eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
                remvoe: true
              });
              console.log(_this, "tiantian");
              _this.click();
              eventManage_1.eventManage.dispatchEvent("hideModeNode", {
                go_situ: true,
                remove: true,
                hide: true
              });
              battlenSceneData_1.default.action_type = "default";
              tools_1.global_func.mergeActionAndRun();
              battlenSceneData_1.default.operation_queue.length = 0;
            }
          }
        });
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.setNodeColor = function(data) {
        this.bg.color = data;
      };
      NewClass.prototype.setMapPos = function(data) {
        this.map_pos = data;
      };
      NewClass.prototype.getMapPos = function() {
        return this.map_pos;
      };
      NewClass.prototype.setSkillObj = function(obj) {
        console.log("setSkillObj", obj, this.map_pos);
        this.skill_obj = obj;
      };
      NewClass.prototype.getSkillObj = function() {
        console.log("getSkillObj", this.map_pos, this);
        return this.skill_obj;
      };
      NewClass.prototype.setClickCall = function(data) {
        this.click_type = data.type;
        "new_click" == data.type ? this.click = data.func : this.click = null;
      };
      NewClass.prototype.clearMoveNodeData = function() {
        this.click_type = null;
        this.skill_obj = null;
        this.map_pos = null;
        this.bg.color = cc.color(16, 234, 113);
      };
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0,
    "./../Script/global/tools": void 0,
    "./../battleComScript/battlenSceneData": void 0
  } ],
  roleHead: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "964e0qO6QhJqbn+5Reqotmr", "roleHead");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.life_value = null;
        _this.attack_value = null;
        _this.physics_value = null;
        _this.head = null;
        _this.root_skill = null;
        _this.head_bar = null;
        _this.all_skill_node = null;
        _this.state_root = null;
        _this.mask = null;
        _this.head_bg = null;
        _this.move_distance = null;
        _this.attack_distance = null;
        _this.show_name = null;
        _this.is_show_state = false;
        _this.before_skill = [];
        _this.all_state_node = [];
        _this.data = null;
        _this.show_state = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.state_prefab = cc.assetManager.getBundle("battleComPrefab").get("state", cc.Prefab);
        this.node.on("updataUI", this.updataUI.bind(this));
        this.node.on("reset", function() {
          _this.mask.width = 225;
          _this.head_bg.width = 232;
          _this.all_skill_node.active = false;
          _this.all_skill_node.setPosition(0, -20);
          _this.state_root.setPosition(2, -101);
        });
        this.head_bar.on(cc.Node.EventType.TOUCH_START, function() {
          _this.all_skill_node.active = true;
          cc.tween(_this.mask).to(.5, {
            width: 350
          }).start();
          cc.tween(_this.head_bg).to(.5, {
            width: 350
          }).start();
          _this.updataSkill();
          _this.is_show_state ? _this.all_skill_node.runAction(cc.moveTo(.2, 0, -143)) : _this.all_skill_node.runAction(cc.moveTo(.2, 0, -100));
          eventManage_1.eventManage.dispatchEvent("on_role_head", _this.data.obj);
        });
        this.state_root.on(cc.Node.EventType.TOUCH_START, function() {
          eventManage_1.eventManage.dispatchEvent("show_state_window", {
            is_show: true,
            data: _this.show_state
          });
        });
        var pos = this.head_bar.parent.convertToWorldSpaceAR(this.head_bar.getPosition());
        var size = this.head_bar.getContentSize();
        eventManage_1.eventManage.dispatchEvent("addGuidePos", {
          name: "on_role_head",
          pos: pos,
          size: size
        });
      };
      NewClass.prototype.start = function() {
        var _this = this;
        eventManage_1.eventManage.addEventListener("player_add_addition", this, function(data) {
          var new_data = data[0];
          console.log(_this.data, new_data, "this.data,new_data");
          if (_this.node.active && _this.data.obj == new_data.super_calss) {
            _this.updataUI({
              obj: new_data.super_calss
            });
            _this.all_skill_node.active && _this.updataSkill();
          }
        });
      };
      NewClass.prototype.updataUI = function(data) {
        this.data = data;
        console.log(data, "roleHead");
        var attack = data.obj.getBaseValue("attack_value");
        this.attack_value.string = attack;
        var physics_value = data.obj.getBaseValue("physics_resist");
        this.physics_value.string = physics_value;
        var cur_value = data.obj.getBaseValue("cur_life_number");
        var max_value = data.obj.getBaseValue("max_life_value");
        var move_distance = data.obj.getBaseValue("move_distance");
        var attack_distance = data.obj.getBaseValue("attack_distance");
        this.move_distance.string = move_distance;
        this.attack_distance.string = attack_distance;
        this.life_value.string = cur_value + "/" + max_value;
        var name = data.obj.name;
        var show_name = data.obj.getShowName();
        console.log(data, "name156");
        this.show_name.string = show_name;
        this.head.spriteFrame = cc.assetManager.getBundle(name).get("texture/" + name, cc.SpriteFrame);
        this.show_state = data.obj.getPassiveSkillByName("show_state");
        console.log(this.show_state, "this.show_state");
        var all_state_node_length = this.all_state_node.length;
        var state_length = this.show_state.length;
        this.state_root.width = 40 * state_length;
        var new_length = all_state_node_length - state_length;
        if (new_length < 0) {
          var abs_length = Math.abs(new_length);
          for (var index = 0; index < abs_length; index++) {
            var new_idnex = all_state_node_length + index;
            var x = 40 * new_idnex;
            var node = cc.instantiate(this.state_prefab);
            node.x = x;
            this.all_state_node.push(node);
            this.state_root.addChild(node);
          }
        } else if (new_length > 0) for (var index = state_length; index < all_state_node_length; index++) {
          var element = this.all_state_node[index];
          element.active = false;
        }
        this.is_show_state = state_length > 0;
        for (var index = 0; index < state_length; index++) {
          var state_data = this.show_state[index];
          if (state_data) {
            var value = state_data.count_down_time || state_data.value;
            var src = state_data.img_src;
            var img = cc.assetManager.getBundle("battleComPrefab").get(src, cc.SpriteFrame);
            console.log(img, src, "state_data");
            var element = this.all_state_node[index];
            element.active = true;
            element.emit("set_value", value);
            element.emit("set_bg", img);
          } else {
            console.log("asset3");
            this.all_state_node[index].active = false;
          }
        }
      };
      NewClass.prototype.updataSkill = function() {
        var all_skill = this.data.obj.active_skill;
        var asset = cc.assetManager.getBundle("battleComPrefab").get("head_skill", cc.Prefab);
        var before_length = this.before_skill.length;
        var skill_length = all_skill.length;
        var new_length = before_length - skill_length;
        if (new_length < 0) {
          var abs_length = Math.abs(new_length);
          for (var index = 0; index < abs_length; index++) {
            console.log("asset", asset);
            var new_idnex = before_length + index;
            var x = 70 * new_idnex;
            var node = cc.instantiate(asset);
            node.x = x;
            this.before_skill.push(node);
            this.root_skill.addChild(node);
          }
        } else if (new_length > 0) for (var index = skill_length; index < before_length; index++) {
          var element = this.before_skill[index];
          element.active = false;
        }
        console.log("asset11", before_length, skill_length);
        for (var index = 0; index < skill_length; index++) {
          var skill_data = all_skill[index];
          console.log("asset25");
          if (skill_data) {
            var element = this.before_skill[index];
            element.active = true;
            element.emit("setDate", skill_data);
          } else {
            console.log("asset3");
            this.before_skill[index].active = false;
          }
        }
      };
      NewClass.prototype.onDestroy = function() {
        eventManage_1.eventManage.removeEventListener(this, "player_add_addition");
      };
      __decorate([ property(cc.Label) ], NewClass.prototype, "life_value", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "attack_value", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "physics_value", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "head", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "root_skill", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "head_bar", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "all_skill_node", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "state_root", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "mask", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "head_bg", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "move_distance", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "attack_distance", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "show_name", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0
  } ],
  roleUpAddition: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "474b4gEidxOrZMQp+c37Mzi", "roleUpAddition");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.addition = null;
        return _this;
      }
      NewClass.prototype.setBg = function(bg) {
        this.addition.spriteFrame = bg;
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "addition", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  role_skill: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "b0164QG+TNAcY0HJQlDo7JB", "role_skill");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        return null !== _super && _super.apply(this, arguments) || this;
      }
      NewClass.prototype.onLoad = function() {};
      NewClass.prototype.start = function() {};
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  settlement: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "1a782U2UY5HE75WIcdn3o6C", "settlement");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var checkpointMapInitData_1 = require("./../Script/map/eachCheckpointData/checkpointMapInitData");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.bg = null;
        _this.next = null;
        _this.hall = null;
        _this.next_str = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.hall.on(cc.Node.EventType.TOUCH_START, function() {
          cc.director.loadScene("hall");
        });
        this.next.on(cc.Node.EventType.TOUCH_START, function() {
          _this.node.active = false;
          eventManage_1.eventManage.dispatchEvent("nextLevel", _this.data.next);
        });
        this.node.on("set_data", this.setData.bind(this));
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.setData = function(data) {
        var new_data = data[0];
        this.data = new_data;
        if (checkpointMapInitData_1.level_data[new_data.next]) {
          this.next.active = true;
          this.next_str.node.active = true;
          1 == new_data.type ? this.next_str.string = "\u4e0b\u4e00\u5173" : this.next_str.string = "\u91cd\u73a9";
        } else {
          this.next.active = false;
          this.next_str.node.active = false;
        }
        var img;
        img = 1 == new_data.type ? cc.assetManager.getBundle("battleComPrefab").get("texture/win", cc.SpriteFrame) : cc.assetManager.getBundle("battleComPrefab").get("texture/lose", cc.SpriteFrame);
        this.bg.spriteFrame = img;
      };
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "bg", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "next", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "hall", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "next_str", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0,
    "./../Script/map/eachCheckpointData/checkpointMapInitData": void 0
  } ],
  skill_info_window: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "b42f6+qRBBNvLS5JnPrKDbL", "skill_info_window");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var type = function(value) {};
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.skill_name = null;
        _this.key_1 = null;
        _this.value_1 = null;
        _this.key_2 = null;
        _this.key_3 = null;
        _this.key_4 = null;
        _this.value_2 = null;
        _this.value_3 = null;
        _this.value_4 = null;
        _this.info = null;
        _this.describe = null;
        _this.info_pool = new cc.NodePool();
        _this.prefab = null;
        _this.base_1 = "<color=#000000>";
        _this.base_2 = "</c>";
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.prefab = cc.assetManager.getBundle("battleComPrefab").get("terms");
        this.node.on("updataUi", this.updateUi.bind(this));
        this.node.on("reset", this.reset.bind(this));
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.updateUi = function(data) {
        var obj = data.obj;
        console.log("skillInfoWindow2", obj);
        var name = obj.txt.name;
        this.skill_name.string = name;
        var describe = obj.txt.describe;
        this.key_1.node.active = true;
        var special_txt = obj.txt.special_txt;
        var special_base_1 = "<color=#EDE33D>";
        var special_base_2 = "</color>";
        if (special_txt) for (var index = 0; index < special_txt.length; index++) {
          var element = special_txt[index];
          var new_str = special_base_1 + element.key + special_base_2;
          var find_str = "@" + index;
          var new_describe = describe.replace(find_str, new_str);
          describe = new_describe;
          console.log(find_str, new_str);
          var node = null;
          node = this.info_pool.size() > 0 ? this.info_pool.get() : cc.instantiate(this.prefab);
          node.y = 35 * index;
          this.info.addChild(node);
          node.emit("set_data", element);
        }
        console.log(describe, "describe");
        this.describe.string = this.base_1 + describe + this.base_2;
        if (obj.click_call) {
          this.value_1.string = "\u4e3b\u52a8";
          var data_1 = obj.data;
          console.log("skillInfoWindow3", data_1);
          for (var index = 2; index < 5; index++) {
            this["key_" + index].node.opacity = 255;
            this["value_" + index].node.opacity = 255;
          }
          data_1.max_time ? this.value_2.string = data_1.max_time : this.value_2.string = "1";
          data_1.find_distance ? this.value_3.string = data_1.find_distance : this.value_3.string = "\u7a7a";
          data_1.range ? 1 == data_1.range ? this.value_4.string = "\u6307\u5b9a\u533a\u57df\u5185\u76ee\u6807" : 2 == data_1.range && (this.value_4.string = "\u6307\u5b9a\u76ee\u6807") : this.value_4.string = "\u7a7a";
        } else this.value_1.string = "\u88ab\u52a8";
      };
      NewClass.prototype.reset = function() {
        this.node.opacity;
        for (var index = 2; index < 5; index++) {
          this["key_" + index].node.opacity = 0;
          this["value_" + index].node.opacity = 0;
        }
        var all_child = this.info.children;
        var length = all_child.length;
        for (var index = length - 1; index > -1; index--) {
          var element = all_child[index];
          this.info_pool.put(element);
        }
      };
      __decorate([ property(cc.Label) ], NewClass.prototype, "skill_name", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "key_1", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "value_1", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "key_2", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "key_3", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "key_4", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "value_2", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "value_3", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "value_4", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "info", void 0);
      __decorate([ property(cc.RichText) ], NewClass.prototype, "describe", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  state_info: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "c7f82TSj2xPt7+Mq7hLNkLw", "state_info");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.number = null;
        _this.img = null;
        _this.state_info = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.node.on("set_data", function(data) {
          var src = data.img_src;
          var base_str = "<color=#E5C713>@1</c>: <color=#FFFFFF>@2</color>";
          var name_str = base_str.replace("@1", data.state_name);
          var state_info_str = name_str.replace("@2", data.state_info);
          _this.state_info.string = state_info_str;
          _this.number.string = data.count_down_time || data.value || "";
          _this.img.spriteFrame = cc.assetManager.getBundle("battleComPrefab").get(src, cc.SpriteFrame);
        });
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Label) ], NewClass.prototype, "number", void 0);
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "img", void 0);
      __decorate([ property(cc.RichText) ], NewClass.prototype, "state_info", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  state_window: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "8dc8dRG5OtIGYn4erAJrUxF", "state_window");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.state_root = null;
        _this.bg_null = null;
        _this.state_info = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.state_info = cc.assetManager.getBundle("battleComPrefab").get("state_info");
        this.node.on("all_state_info", function(data) {
          console.log("this.state_info1111", data);
          for (var index = 0; index < data.length; index++) {
            var element = data[index];
            var node = cc.instantiate(_this.state_info);
            node.y = -50 * index;
            _this.state_root.addChild(node);
            node.emit("set_data", element);
          }
        });
        this.node.on("reset", function() {
          _this.state_root.removeAllChildren();
        });
        this.bg_null.on(cc.Node.EventType.TOUCH_START, function() {
          _this.state_root.removeAllChildren();
          _this.node.active = false;
        });
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Node) ], NewClass.prototype, "state_root", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg_null", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  state: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "600bfvHS3tFoLjRBo1j5SbS", "state");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.img = null;
        _this.value = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.node.on("set_bg", function(data) {
          _this.img.spriteFrame = data;
        });
        this.node.on("set_value", function(data) {
          _this.value.string = data || "";
        });
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "img", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "value", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  terms: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "52132m0XYlEBKpvU9cbNcF7", "terms");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.label = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.node.on("set_data", this.setData.bind(this));
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.setData = function(data) {
        var base_str = "<color=#BCE111>@1: </c><color=#FFFFFF>@2</color>";
        var key = data.key;
        var value = data.value;
        var replace_key = base_str.replace("@1", key);
        var replace_value = replace_key.replace("@2", value);
        this.label.string = replace_value;
      };
      __decorate([ property(cc.RichText) ], NewClass.prototype, "label", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  tips: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "67af4GEJA1EepRkyfTAfPdE", "tips");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        return null !== _super && _super.apply(this, arguments) || this;
      }
      NewClass.prototype.onLoad = function() {};
      NewClass.prototype.start = function() {};
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {} ],
  undetermined: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "c7b9707bGpP/7b2Nt09C52M", "undetermined");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var tools_1 = require("./../Script/global/tools");
    var eventManage_1 = require("./../Script/global/eventManage");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.bg = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        var _this = this;
        this.bg.on(cc.Node.EventType.TOUCH_END, function() {
          eventManage_1.eventManage.dispatchEvent("hideModeNode", {
            go_situ: true,
            remove: true,
            hide: true
          });
          eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
            remvoe: true
          });
          _this.node.active = false;
          tools_1.global_func.mergeActionAndRun();
        });
      };
      NewClass.prototype.start = function() {};
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0,
    "./../Script/global/tools": void 0
  } ],
  use_skill: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "6758fPaBbxE15mklWNpFet9", "use_skill");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var eventManage_1 = require("./../Script/global/eventManage");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.skill = null;
        _this.stop_skill = null;
        _this.time = null;
        _this.time_number = null;
        _this.skill_node = null;
        _this.passive_str = null;
        _this.is_click = true;
        return _this;
      }
      NewClass_1 = NewClass;
      NewClass.prototype.onLoad = function() {
        var _this = this;
        var show_txt = false;
        var schedule_call = function() {
          show_txt = true;
          eventManage_1.eventManage.dispatchEvent("skillInfoWindow", {
            is_show: true,
            obj: _this.skill_data
          });
        };
        this.node.on(cc.Node.EventType.TOUCH_START, function() {
          _this.scheduleOnce(schedule_call, .5);
        });
        this.stop_skill.on(cc.Node.EventType.TOUCH_START, function() {
          console.log("\u6c89\u9ed8");
        });
        this.time.on(cc.Node.EventType.TOUCH_START, function() {
          console.log("\u6280\u80fdcd\u4e2d");
        });
        this.node.on(cc.Node.EventType.TOUCH_END, function() {
          _this.unschedule(schedule_call);
          if (show_txt) eventManage_1.eventManage.dispatchEvent("skillInfoWindow", {
            is_show: false
          }); else if (_this.skill_data.click_call && _this.is_click) {
            eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
              remvoe: true
            });
            eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
              remove: false,
              hide: false
            });
            eventManage_1.eventManage.dispatchEvent("show_active_skills", {
              is_show: false
            });
            eventManage_1.eventManage.dispatchEvent("hideModeNode", {
              go_situ: false,
              remove: true,
              hide: false
            });
            _this.skill_data.click_call(_this.use_obj);
            _this.skill_data.data.find_distance && _this.skill_data.data.find_type && eventManage_1.eventManage.dispatchEvent("hide_confirm_node", {
              hide: true,
              cancel: true,
              confirm: false
            });
            show_txt = false;
          }
          eventManage_1.eventManage.dispatchEvent("on_skill_btn");
          show_txt = false;
        });
        this.node.on(cc.Node.EventType.TOUCH_CANCEL, function() {
          _this.unschedule(schedule_call);
          if (show_txt) eventManage_1.eventManage.dispatchEvent("skillInfoWindow", {
            is_show: false
          }); else if (_this.skill_data.click_call && _this.is_click) {
            eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
              remvoe: true
            });
            eventManage_1.eventManage.dispatchEvent("removeMoveTips", {
              remove: false,
              hide: false
            });
            eventManage_1.eventManage.dispatchEvent("show_active_skills", {
              is_show: false
            });
            eventManage_1.eventManage.dispatchEvent("hideModeNode", {
              go_situ: false,
              remove: true,
              hide: false
            });
            _this.skill_data.click_call(_this.use_obj);
            _this.skill_data.data.find_distance && _this.skill_data.data.find_type && eventManage_1.eventManage.dispatchEvent("hide_confirm_node", {
              hide: true,
              cancel: true,
              confirm: false
            });
            show_txt = false;
          }
          eventManage_1.eventManage.dispatchEvent("on_skill_btn");
          show_txt = false;
        });
      };
      NewClass.prototype.start = function() {
        NewClass_1.number++;
        if (1 == NewClass_1.number) {
          console.log(this.node.width, this.node.height, this.node.getContentSize(), "this.node.width");
          var world_pos = this.node.parent.convertToWorldSpaceAR(cc.v2(-100, 100));
          eventManage_1.eventManage.dispatchEvent("add_guide_pos", {
            name: "use_skill",
            size: {
              width: this.node.getContentSize()
            },
            pos: world_pos
          });
        }
      };
      NewClass.prototype.setData = function(skill_data, obj, show) {
        var _this = this;
        this.use_obj = obj;
        this.skill_data = skill_data;
        if (this.skill_data.click_call) {
          var data_value = skill_data.data;
          this.stop_skill.active = !show;
          this.passive_str.active = false;
          if (data_value.cur_time > 0) {
            this.time.active = true;
            this.time_number.string = data_value.cur_time;
            this.is_click = false;
          } else {
            this.time.active = false;
            this.is_click = show;
          }
        } else {
          this.stop_skill.active = false;
          this.passive_str.active = true;
          this.time.active = false;
        }
        var bundle_name = skill_data.img.bundle_name;
        if ("addition" == bundle_name) cc.assetManager.getBundle(bundle_name).load(skill_data.img.img_src, cc.SpriteFrame, function(err, img) {
          _this.skill.spriteFrame = img;
        }); else {
          var img = cc.assetManager.getBundle(skill_data.img.bundle_name).get(skill_data.img.img_src, cc.SpriteFrame);
          this.skill.spriteFrame = img;
        }
      };
      var NewClass_1;
      NewClass.number = 0;
      __decorate([ property(cc.Sprite) ], NewClass.prototype, "skill", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "stop_skill", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "time", void 0);
      __decorate([ property(cc.Label) ], NewClass.prototype, "time_number", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "skill_node", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "passive_str", void 0);
      NewClass = NewClass_1 = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/eventManage": void 0
  } ],
  who_team: [ function(require, module, exports) {
    "use strict";
    cc._RF.push(module, "edde4w+gydCWamYJO07s0DD", "who_team");
    "use strict";
    var __extends = this && this.__extends || function() {
      var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf || {
          __proto__: []
        } instanceof Array && function(d, b) {
          d.__proto__ = b;
        } || function(d, b) {
          for (var p in b) Object.prototype.hasOwnProperty.call(b, p) && (d[p] = b[p]);
        };
        return extendStatics(d, b);
      };
      return function(d, b) {
        extendStatics(d, b);
        function __() {
          this.constructor = d;
        }
        d.prototype = null === b ? Object.create(b) : (__.prototype = b.prototype, new __());
      };
    }();
    var __decorate = this && this.__decorate || function(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : null === desc ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if ("object" === typeof Reflect && "function" === typeof Reflect.decorate) r = Reflect.decorate(decorators, target, key, desc); else for (var i = decorators.length - 1; i >= 0; i--) (d = decorators[i]) && (r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r);
      return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    var battlenSceneData_1 = require("./../battleComScript/battlenSceneData");
    var tools_1 = require("./../Script/global/tools");
    var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
    var NewClass = function(_super) {
      __extends(NewClass, _super);
      function NewClass() {
        var _this = null !== _super && _super.apply(this, arguments) || this;
        _this.label = null;
        _this.root = null;
        _this.bg = null;
        return _this;
      }
      NewClass.prototype.onLoad = function() {
        this.bg.width = cc.winSize.width;
      };
      NewClass.prototype.start = function() {};
      NewClass.prototype.updateUi = function(data) {
        var _this = this;
        var cur_team = battlenSceneData_1.default.cur_team;
        var player_team = battlenSceneData_1.default.player_team;
        var relation = tools_1.global_func.ranksRelation(player_team, cur_team);
        console.log(cur_team, player_team, "who_team", relation);
        if (1 == relation) {
          this.label.string = "\u6211\u65b9\u56de\u5408";
          this.label.node.color = cc.color(12, 193, 45);
        } else if (2 == relation) {
          this.label.string = "\u53cb\u65b9\u56de\u5408";
          this.label.node.color = cc.color(234, 224, 16);
        } else {
          this.label.string = "\u654c\u65b9\u56de\u5408";
          this.label.node.color = cc.color(237, 16, 56);
        }
        this.root.x = 480;
        cc.tween(this.root).to(.5, {
          position: cc.v3(0, 0, 0)
        }).delay(1).to(.5, {
          position: cc.v3(-cc.winSize.width / 2 - 150, 0, 0)
        }).call(function() {
          _this.node.active = false;
          data.splice(0, 1);
          tools_1.global_func.levelAnim(data);
        }).start();
      };
      __decorate([ property(cc.Label) ], NewClass.prototype, "label", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "root", void 0);
      __decorate([ property(cc.Node) ], NewClass.prototype, "bg", void 0);
      NewClass = __decorate([ ccclass ], NewClass);
      return NewClass;
    }(cc.Component);
    exports.default = NewClass;
    cc._RF.pop();
  }, {
    "./../Script/global/tools": void 0,
    "./../battleComScript/battlenSceneData": void 0
  } ]
}, {}, [ "activeSkills", "addition_base_value", "addition_info_window", "addition_skill_value", "attack_anim", "attack_info", "confirm", "cursor", "dialog_window", "fitOut", "fitOutWindows", "guide_tips", "head_skill", "hole", "level_condition", "moveTips", "option", "releaseSkillMap", "roleHead", "roleUpAddition", "role_skill", "settlement", "skill_info_window", "state", "state_info", "state_window", "terms", "tips", "undetermined", "use_skill", "who_team" ]);